Subject: Re: [PATCH net-next v2] net: phy: xilinx: add Xilinx PHY driver

From: Andrew Lunn <[email-masked]>
Date: Tue, 4 Jun 2019 20:12:58 +0200

> If I remember the Marvell specs correctly, there was some bit to switch the
> complete register set to fibre mode.

Hi Heiner

The Marvell PHY has a second page for Fibre. It mostly mirrors the
normal registers, and you need to look at both pages to determine if
copper or fibre has link, etc. Fibre has no auto-neg, so there is
nothing to configure for that.

For the Xilinx PHY the auto-neg ability should not be set, so i doubt
phylib will offer the option.

       Andrew